<?php

namespace App\Enums;

use App\Traits\WithCommentEnum;
use App\Traits\WithValueEnum;

enum Gender: int
{
    use WithCommentEnum, WithValueEnum;
    case MALE = 1;
    case FEMALE = 2;

    public function label()
    {
        return match ($this) {
            self::MALE => 'Laki-laki',
            self::FEMALE => 'Perempuan',
        };
    }

    public function color()
    {
        return match ($this) {
            self::MALE => 'blue',
            self::FEMALE => 'pink',
        };
    }
}
